
/*
	Ex: onchange="esconde(form:idObjeto)"
*/
function esconde(objeto) {
	objeto.style.display = 'none';
}

/*
	Ex: onchange="mostra(form:idObjeto)"
*/
function mostra(objeto) {
	objeto.style.display = 'inline';
}

/* Exemplo de uso: 
  <input type="text" onkeyup="numeros(this)" onkeydown="numeros(this)"/>
*/
function letras(inputText) {
	validar(inputText, /^\D*$/);
}

function numeros(inputText) {
	validar(inputText, /^\d*$/);
}

function codigoDisciplina(inputText) {
	validar(inputText, /^[a-zA-Z]{0,3}\d{0,4}$/);
}

function cpf(inputText) {
	var size = inputText.value.length;

	if(size == 3) inputText.value = inputText.value + ".";
	else if(size == 7) inputText.value = inputText.value + ".";
	else if(size == 11) inputText.value = inputText.value + "-";

	validar(inputText, /\d{3}.\d{3}.\d{3}-\d{2}/);
}

function validar(inputText, expressaoRegular) {
	if(expressaoRegular.test(inputText.value)) inputText.style.color = "black";
	else inputText.style.color = "red";
}

function tabelaMouseOver(objeto) {
	objeto.style.backgroundColor = '#A5CBFF';
}

function tabelaMouseOut(objeto) {
	objeto.style.backgroundColor = '#FFFFFF';
}

function tabelaOnClick(objeto) {
	objeto.style.backgroundColor = '#FFE0E0';
}

function tabelaOnDblClick(objeto) {
	objeto.style.backgroundColor = '#E0E0E0';
}

function refresh() {
	window.location.reload();
}

function popupAuxiliar(url) {
	return window.open(url, "popup-janus", "height=100,width=100,left=0,top=0,menubar=false,resizable=false,scrollbars=false,status=false,toolbar=false", false);
}

/*
	Usar quando todos os checkboxes possuem o mesmo "name"
*/
function selecionaTodos(mainCheckBox, checkBoxList) {
	if (mainCheckBox == null || checkBoxList == null) return;
	for (var i = 0; i < checkBoxList.length; i++) {
		checkBoxList[i].checked = mainCheckBox.checked;	
	}
}

/* Exemplo de uso:
	listaParticipacao.jsp
	<h:form id="IDFORM">
		<t:dataTable id="IDTABLE">
			<jdt:multipleRowsSelector id="idX" selectionList="#{bean.lista}"/>
		</t:dataTable>
	</h:form>
	
	Vai gerar: 
		<input type="checkbox" name="IDFORM:IDTABLE:0:idX"/>
		<input type="checkbox" name="IDFORM:IDTABLE:1:idX"/>
		...
	Dai tem que fazer:
	<h:selectBooleanCheckbox onclick="selecionaTodos(this, 'IDFORM:IDTABLE', 'idX');"/>
*/
function selecionaTodos(mainCheckBox, prefixo, sufixo) {
	if (mainCheckBox == null) return;
	var padraoJSF = new RegExp(prefixo + ':' + '\\d+' + ':' + sufixo);
	var todosInputsDaTela = document.getElementsByTagName("input");
	for(i = 0; i < todosInputsDaTela.length; i++) {
		if(todosInputsDaTela[i].type == 'checkbox') {
			checkbox = todosInputsDaTela[i];
			if(padraoJSF.test(checkbox.name)) {
				checkbox.checked = mainCheckBox.checked;
			}
		}
	}
	
}

function limpaCheck(){
 var todosInputsDaTela = document.getElementsByTagName("input");
	for(i = 0; i < todosInputsDaTela.length; i++) {
		if(todosInputsDaTela[i].type == 'checkbox') {
			checkbox = todosInputsDaTela[i];
				checkbox.checked = false;
		}
	}

}

var preco = 10.0;

function somaValorPizza(valor, checkBox) {

	if(checkBox.checked){
		preco += valor;
	}
	else{
		preco -= valor;
	}
	
	if(preco < 10.0) preco = 10.0;
	
	alert("Sua pizza vai custar: R$ "+preco);
	
	
}


var precoBebida = 0.0;

function somaValorBebidas(valor, checkBox) {

	if(checkBox.checked){
		precoBebida += valor;
	}
	else{
		precoBebida -= valor;
	}	
	
	if(precoBebida < 0) precoBebida = 0.0
		
	alert("Sua bebida vai custar: R$ " + precoBebida);	
	
}